/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
/**
 * @hidden
 */
export let FinancialPriceSeriesProxy = /*@__PURE__*/ (() => {
    class FinancialPriceSeriesProxy extends Base {
        getCloseMemberPath(a) {
            return a.y8;
        }
        getHighMemberPath(a) {
            return a.zl;
        }
        getLowMemberPath(a) {
            return a.zq;
        }
        getOpenMemberPath(a) {
            return a.zu;
        }
        getVolumeMemberPath(a) {
            return a.zy;
        }
        matchesType(a) {
            if (!a.e6) {
                return false;
            }
            if (a.e7 || a.e8) {
                return false;
            }
            return true;
        }
        setCategoryMode(a, b) {
            a.xc = b;
        }
        setCloseMemberPath(a, b) {
            a.y8 = b;
        }
        setDisplayType(a, b) {
            a.aa1 = b;
        }
        setHighMemberPath(a, b) {
            a.zl = b;
        }
        setLowMemberPath(a, b) {
            a.zq = b;
        }
        setOpenMemberPath(a, b) {
            a.zu = b;
        }
        setVolumeMemberPath(a, b) {
            a.zy = b;
        }
        setXAxis(a, b) {
            a.w4 = b;
        }
        setYAxis(a, b) {
            a.xn = b;
        }
        setTrendLineType(a, b) {
            if (a.e9) {
                a.trendLineType = b;
            }
        }
        getTrendLineType(a) {
            if (a.e9) {
                return a.trendLineType;
            }
            return 0;
        }
    }
    FinancialPriceSeriesProxy.$t = markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
    return FinancialPriceSeriesProxy;
})();
